javax.ws.rs

## Class WebApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ClientErrorException, FileRangeException, NoLogWebApplicationException, RedirectionException, ServerErrorException

      public class WebApplicationException
      extends RuntimeException

  Runtime exception for applications.

  This exception may be thrown by a resource method, provider or `StreamingOutput` implementation if a specific HTTP error response needs to be produced. Only effective if thrown prior to the response being committed.

  Since:
    1.0
  Author:
    Paul Sandoz, Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebApplicationException()` Construct a new instance with a blank message and default HTTP status code of 500.
    `WebApplicationException(int status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(Response.Status status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(Response response)` Construct a new instance using the supplied response.
    `WebApplicationException(String message)` Construct a new instance with a blank message and default HTTP status code of 500.
    `WebApplicationException(String message, int status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(String message, Response.Status status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(String message, Response response)` Construct a new instance using the supplied response.
    `WebApplicationException(String message, Throwable cause)` Construct a new instance with a blank message and default HTTP status code of 500.
    `WebApplicationException(String message, Throwable cause, int status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(String message, Throwable cause, Response.Status status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(String message, Throwable cause, Response response)` Construct a new instance using the supplied response.
    `WebApplicationException(Throwable cause)` Construct a new instance with a blank message and default HTTP status code of 500.
    `WebApplicationException(Throwable cause, int status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(Throwable cause, Response.Status status)` Construct a new instance with a blank message and specified HTTP status code.
    `WebApplicationException(Throwable cause, Response response)` Construct a new instance using the supplied response.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response` | `getResponse()` Get the HTTP response.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebApplicationException

          public WebApplicationException()

      Construct a new instance with a blank message and default HTTP status code of 500.

    - #### WebApplicationException

          public WebApplicationException(String message)

      Construct a new instance with a blank message and default HTTP status code of 500.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(Response response)

      Construct a new instance using the supplied response.
      Parameters:
        `response` - the response that will be returned to the client, a value of null will be replaced with an internal server error response (status code 500).

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 Response response)

      Construct a new instance using the supplied response.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - the response that will be returned to the client, a value of null will be replaced with an internal server error response (status code 500).
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(int status)

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `status` - the HTTP status code that will be returned to the client.

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 int status)

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - the HTTP status code that will be returned to the client.
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(Response.Status status)

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `status` - the HTTP status code that will be returned to the client.
      Throws:
        `IllegalArgumentException` - if status is `null`.

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 Response.Status status)

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - the HTTP status code that will be returned to the client.
      Throws:
        `IllegalArgumentException` - if status is `null`.
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(Throwable cause)

      Construct a new instance with a blank message and default HTTP status code of 500.
      Parameters:
        `cause` - the underlying cause of the exception.

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 Throwable cause)

      Construct a new instance with a blank message and default HTTP status code of 500.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the underlying cause of the exception.
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(Throwable cause,
                                 Response response)

      Construct a new instance using the supplied response.
      Parameters:
        `response` - the response that will be returned to the client, a value of null will be replaced with an internal server error response (status code 500).
        `cause` - the underlying cause of the exception.

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 Throwable cause,
                                 Response response)

      Construct a new instance using the supplied response.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - the response that will be returned to the client, a value of null will be replaced with an internal server error response (status code 500).
        `cause` - the underlying cause of the exception.
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(Throwable cause,
                                 int status)

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `status` - the HTTP status code that will be returned to the client.
        `cause` - the underlying cause of the exception.

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 Throwable cause,
                                 int status)

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - the HTTP status code that will be returned to the client.
        `cause` - the underlying cause of the exception.
      Since:
        2.0

    - #### WebApplicationException

          public WebApplicationException(Throwable cause,
                                 Response.Status status)
                                  throws IllegalArgumentException

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `status` - the HTTP status code that will be returned to the client.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - if status is `null`.

    - #### WebApplicationException

          public WebApplicationException(String message,
                                 Throwable cause,
                                 Response.Status status)
                                  throws IllegalArgumentException

      Construct a new instance with a blank message and specified HTTP status code.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `status` - the HTTP status code that will be returned to the client.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException`
      Since:
        2.0

  - ### Method Detail

    - #### getResponse

          public Response getResponse()

      Get the HTTP response.
      Returns:
        the HTTP response.

Copyright © 2014. All Rights Reserved.